Subject: [media-types] Review request for the application/csvm+json media type registration

From: Ivan Herman <[email-masked]>
Date: Mon, 4 May 2015 21:42:45 +0200

Dear all,

The W3C CSV on the Web Working Group plans to publish a Last Call Candidate Recommendation of the Metadata Vocabulary for Tabular Data specification in June 2015.

We would be grateful for your feedback on the Media Type section of the specification:

Latest published version: 
	http://www.w3.org/TR/tabular-metadata/#iana-considerations
Latest editors' draft, includes some comments on the IANA considerations' section:
	http://w3c.github.io/csvw/metadata/index.html#iana-considerations

Text version of the latest version is included below; the security considerations' section has also been copied here in text format.

We look forward to hearing your comments,

Best regards,

Ivan Herman
W3C staff contact for the CSV on the Web Working Group
http://www.w3.org/People/Ivan/

------------

Type name:
    application

Subtype name:
    csvm+json

Required parameters:
    N/A

Optional parameters:
    N/A

Encoding considerations:
    Binary, as per [RFC6839], section 3.1; the charset parameter is not used and byte-order marks are not permitted, as per [RFC7159], sections 11 and 8.1

Security considerations:
    See [RFC7159] section 12 and section 7. Security Considerations of this specification (see copy below)

Interoperability considerations:
    Note that this format is not the same as the existing text/csv and text/tab-delimited-values mediatypes, but a JSON-based format used to annotate such documents. Also see [RFC7159] for interoperability information for JSON.

Published specification:
    This specification.

Applications that use this media type:
    It is anticipated that there is a broad need for data validators and converters to alternate structured representations of tabular data. It is expected that many applications and programming languages will be using this media type across many operating systems.

Fragment identifier considerations:
    See [RFC6839], section 3.1

Additional information:
    Magic number(s):
        n/a
    File extension(s):
        ".json"
    Macintosh file type code(s):
        "TEXT"
    Macintosh Universal Type Identifier code:
        org.w3c.csvm conforms to public.json
    Windows Clipboard Name
        Tabular Metadata in JSON

Person & email address to contact for further information:
    Ivan Herman <[email-masked]>

Intended usage:
    COMMON

Restrictions on usage:
    None

Author/Change controller:
    The Tabular metadata specification is the product of the CSV on the Web Working Group. The W3C reserves change control over this specification.

-----

Security Considerations

Applications that process tabular data may use that data to drive other actions, which may have security implications. These behaviors are outside the scope of this specification.

Third party metadata provided about a tabular data file (such as a CSV file) may rename or ignore headers, or exclude rows or columns, which may lead to data being misinterpreted by applications that process it.

Transformation definitions are a possible security risk as they enable the creators of metadata to reference arbitrary code that may be executed to convert tabular data into other formats. Implementations should run this arbitrary code in a sandboxed environment to reduce the security risk.